Loading...
Searching...
No Matches
janus_sdp_mline Struct Reference

SDP m-line representation. More...

`#include <sdp-utils.h>`

Collaboration diagram for janus_sdp_mline:
[legend]

## Data Fields

int | index
| Media index in the SDP.
janus_sdp_mtype | type
| Media type as a janus_sdp_mtype enumerator.
char * | type_str
| Media type (string).
guint16 | port
| Media port.
char * | proto
| Media protocol.
GList * | fmts
| List of formats.
GList * | ptypes
| List of payload types.
gboolean | c_ipv4
| Media c= protocol.
char * | c_addr
| Media c= address.
char * | b_name
| Media b= type.
uint32_t | b_value
| Media b= value.
janus_sdp_mdirection | direction
| Media direction.
GList * | attributes
| List of m-line attributes.
volatile gint | destroyed
| Atomic flag to check if this instance has been destroyed.
janus_refcount | ref
| Reference counter for this instance.

## Detailed Description

SDP m-line representation.

## Field Documentation

## attributes

GList* janus_sdp_mline::attributes

List of m-line attributes.

## b_name

char* janus_sdp_mline::b_name

Media b= type.

## b_value

uint32_t janus_sdp_mline::b_value

Media b= value.

## c_addr

char* janus_sdp_mline::c_addr

Media c= address.

## c_ipv4

gboolean janus_sdp_mline::c_ipv4

Media c= protocol.

## destroyed

volatile gint janus_sdp_mline::destroyed

Atomic flag to check if this instance has been destroyed.

## direction

janus_sdp_mdirection janus_sdp_mline::direction

Media direction.

## fmts

GList* janus_sdp_mline::fmts

List of formats.

## index

int janus_sdp_mline::index

Media index in the SDP.

## port

guint16 janus_sdp_mline::port

Media port.

## proto

char* janus_sdp_mline::proto

Media protocol.

## ptypes

GList* janus_sdp_mline::ptypes

List of payload types.

## ref

janus_refcount janus_sdp_mline::ref

Reference counter for this instance.

## type

janus_sdp_mtype janus_sdp_mline::type

Media type as a janus_sdp_mtype enumerator.

## type_str

char* janus_sdp_mline::type_str

Media type (string).

The documentation for this struct was generated from the following file:

- sdp-utils.h